function(guessCompiler RES_CXX_COMPILER RES_CXX_REAL_COMPILER CXX_COMPILER)
  get_filename_component(REAL_COMPILER_TMP ${CXX_COMPILER} REALPATH)
  file(TO_NATIVE_PATH ${REAL_COMPILER_TMP} REAL_COMPILER)
  get_filename_component(COMPILER ${REAL_COMPILER} NAME)
  if (${COMPILER} STREQUAL "clang")
    unset(REAL_COMPILER)
    find_path(REAL_COMPILER clang++)
    set(REAL_COMPILER ${REAL_COMPILER}/clang++)
    set(COMPILER clang++)
  endif()
  if (${COMPILER} STREQUAL "clang++" OR ${COMPILER} STREQUAL "g++"
                                    OR ${COMPILER} STREQUAL "c++"
                                    OR ${COMPILER} STREQUAL "icc"
                                    OR ${COMPILER} STREQUAL "g++.exe")
    execute_process(COMMAND ${CXX_COMPILER} -dumpversion OUTPUT_VARIABLE COMPILER_VERSION)
    string(STRIP ${COMPILER_VERSION} COMPILER_VERSION)
    set(COMPILER "${COMPILER}-${COMPILER_VERSION}")
  endif()
  if (${COMPILER} STREQUAL "x86_64-linux-gnu-g++-6")
    set(COMPILER g++-6)
  endif()
  if (${COMPILER} STREQUAL "x86_64-linux-gnu-g++-7")
    set(COMPILER g++-7)
  endif()
  set(${RES_CXX_COMPILER} ${COMPILER} PARENT_SCOPE)
  set(${RES_CXX_REAL_COMPILER} ${REAL_COMPILER} PARENT_SCOPE)
endfunction(guessCompiler)
