#include "xlife++.h"
using namespace xlifepp;

Real f(const Point& P, Parameters& pa = defaultParameters)
{return -1.;}

int main(int argc, char** argv)
{
  init(_lang=en); // mandatory initialization of xlifepp

  // mesh and domains
  Strings sn("x=0", "x=1");
  Mesh mesh1d(Segment(_xmin=0, _xmax=1, _nnodes=101, _domain_name="Omega", _side_names=sn), 1, structured, "P1-mesh");
  Domain omega = mesh1d.domain("Omega");
  Domain sigmaL = mesh1d.domain("x=0"), sigmaR = mesh1d.domain("x=1");

  // space, unknows, and test functions
  Space Vh(omega, P1, "Vh", true);
  Unknown u(Vh, "u");
  TestFunction v(u, "v");

  // define problem
  BilinearForm a = intg(omega, grad(u)|grad(v));
  LinearForm lf = intg(omega, f*v);
  EssentialConditions ecs = (u|sigmaL = 0) & (u|sigmaR = 0);

  // compute matrix and rhs
  TermMatrix A(a, ecs, "A");
  TermVector F(lf, "F");

  // solve linear system and save solution
  TermVector U=directSolve(A, F);
  saveToFile("U_1d", U, vtu);
  return 0;
}
