#include "xlife++.h"
using namespace xlifepp;

Real f(const Point& P, Parameters& pa = defaultParameters)
{return -8.;}

int main(int argc, char** argv)
{
  init(_lang=en); // mandatory initialization of xlifepp

  //create a mesh and Domains
  Mesh mesh2d(Square(_origin=Point(0.,0.), _length=1, _nnodes=10, _domain_name="Omega", _side_names=Strings("y=0", "x=1", "y=1", "x=0")), triangle, 1, structured);
  Domain omega=mesh2d.domain("Omega");
  Domain sigmaM=mesh2d.domain("x=0"), sigmaP=mesh2d.domain("x=1");

  //create interpolation
  Space V(omega, P2, "V", true);
  Unknown u(V, "u");
  TestFunction v(u, "v");

  //create bilinear form and linear form
  BilinearForm auv=intg(omega, grad(u)|grad(v));
  LinearForm fv=intg(omega, f*v);
  EssentialConditions ecs= (intg(sigmaM, u) = 0);
  TermMatrix A(auv, ecs, "A");
  TermVector F(fv ,"B");

  //solve linear system AX=F using LU factorization
  TermVector U=directSolve(A, F);
  saveToFile("U_LA", U, vtu);
  return 0;
}
